Bug 20365 - Allow several open orders on subscription
Summary: Allow several open orders on subscription
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Julian Maurice
URL:
Keywords:
Depends on: 20726
Blocks: 20366
  Show dependency treegraph
 
Reported: 2018-03-09 11:20 UTC by Séverine Queune
Modified: 2019-10-14 19:57 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20365: Allow several orders on the same subscriptions (1.67 KB, patch)
2018-03-28 15:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20365: Allow several orders on the same subscriptions (1.81 KB, patch)
2018-04-17 11:29 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 20365: Allow several orders on the same subscriptions (1.68 KB, patch)
2018-05-07 23:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20365: Allow several orders on the same subscriptions (1.72 KB, patch)
2018-08-02 13:05 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20365: Allow several orders on the same subscriptions (1.92 KB, patch)
2018-08-06 21:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20365: Allow several orders on the same subscriptions (2.27 KB, patch)
2018-08-22 00:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2018-03-09 11:20:44 UTC
Because of our contracts with vendors, we create acquisition baskets on june to renew our serial subscriptions for the next year.
Most of the time, subscriptions for present year have not been received, for invoices are send at the end of the year. This is quite a problem for people who create the renewal baskets for only one open order in allowed on the same subscription.
As budget can be defined for a given period (most of the time for a full year I imagine), it would be great if we could have several open orders allowed on the same subscription if the funds used belong to different budgets.
Comment 1 Séverine Queune 2018-03-09 13:50:26 UTC
The BULAC (http://www.bulac.fr/) would like to sponsor this development !

As long as “Change sponsored?” is set on “Seeking developer”, anyone wanting to quote us for the development of such a feature or just ask for more information is welcome to write to us: <sigb@bulac.fr>.
Comment 2 Jonathan Druart 2018-03-28 15:55:18 UTC
Created attachment 73399 [details] [review]
Bug 20365: Allow several orders on the same subscriptions

Do we really need this limitation?
Comment 3 Katrin Fischer 2018-03-30 13:17:35 UTC
Should this be Needs Sign-off? Having mulitple orders makes sense to me. But I think we might need to revise the display on the subscrpition detail page then too.
Comment 4 Séverine Queune 2018-04-17 11:29:21 UTC
Created attachment 74314 [details] [review]
Bug 20365: Allow several orders on the same subscriptions

Do we really need this limitation?

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2018-04-17 11:34:29 UTC
Except the display issue on the subscription page that Katrin pointed, the behaviour of this patch seems good to me.
Comment 6 Julian Maurice 2018-04-20 08:44:19 UTC
(In reply to Katrin Fischer from comment #3)
> Should this be Needs Sign-off? Having multiple orders makes sense to me. But
> I think we might need to revise the display on the subscription detail page
> then too.

I agree. Failing QA for this.
Comment 7 Jonathan Druart 2018-04-20 13:55:53 UTC
This one-line fix remove the unnecessary restriction at template level.

The other views will be updated on other bug reports, like bug 9898.

I am letting you adjust the status if you think it makes sense.
Comment 8 Julian Maurice 2018-04-20 15:04:02 UTC
(In reply to Jonathan Druart from comment #7)
> This one-line fix remove the unnecessary restriction at template level.
> 
> The other views will be updated on other bug reports, like bug 9898.
> 
> I am letting you adjust the status if you think it makes sense.

The subscription detail page actually assume that only one order per subscription can be done.
Pushing this patch alone means that we deliberately introduce new bugs, so, no, please no :)
Comment 9 Jonathan Druart 2018-05-07 23:09:54 UTC
Created attachment 75145 [details] [review]
Bug 20365: Allow several orders on the same subscriptions

Do we really need this limitation?
Comment 10 Jonathan Druart 2018-07-24 16:18:11 UTC
Sending back to NQA as it needs to be QAed along with bug 20726.
Comment 11 Josef Moravec 2018-08-02 13:05:21 UTC
Created attachment 77437 [details] [review]
Bug 20365: Allow several orders on the same subscriptions

Do we really need this limitation?

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 12 Jonathan Druart 2018-08-06 21:09:14 UTC
Created attachment 77507 [details] [review]
Bug 20365: Allow several orders on the same subscriptions

Do we really need this limitation?

Sponsored-by: BULAC - http://www.bulac.fr/

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 13 Jonathan Druart 2018-08-22 00:54:11 UTC
Created attachment 78069 [details] [review]
Bug 20365: Allow several orders on the same subscriptions

Do we really need this limitation?

Sponsored-by: BULAC - http://www.bulac.fr/

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 14 Nick Clemens 2018-08-30 14:08:33 UTC
Awesome work all!

Pushed to master for 18.11
Comment 15 Martin Renvoize 2018-09-05 10:53:51 UTC
Enhancement, will not be backported to 18.05.x series.